Программа: NPDS 5.10, возможно более ранние версии.

Уязвимость позволяет удаленному пользователю произвести XSS нападение.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "ModPath" в сценарии "/modules/cluster-paradise/cluster-E.php". Удаленный пользователь может с помощью специально сформированного URL просмотреть произвольные файлы на системе. Для удачной эксплуатации уязвимости опция "register_globals" должны быть включена, опция "magic_quotes_gpc" должны быть отключена.

Пример:

http://[host]/modules/cluster-paradise/cluster-E.php?ModPath=[file]%00&key=a

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "nuke_url" в сценарии /meta/meta.php, в параметре "forum" в сценарии viewforum.php, в параметрах "post_id", "forum", "topic" и "arbre" в сценарии editpost.php и в параметрах "uname" и "email" в сценарии user.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.



Оставить мнение